#!/bin/sh

set -x

if [ $# -ne 1 ] ; then
  echo need document number!
  exit 
fi
i=$1

export LD_LIBRARY_PATH=/usr/local/lib/:/home/rmg3/lib/
/usr/local/bin/Xalan -o /data/WWW/tmp/header.index.html \
                        /data/WWW/tmp/header ../mmab/papers/summary.xsl
if [ $? -ne 0 ] ; then
  echo error exit
  exit
fi
cp ${i}.xml /data/WWW/mmab/papers/tn${i}/paper.xml
if [ $? -ne 0 ] ; then
  echo error exit
  exit
fi
cp index.shtml /data/WWW/mmab/papers/tn${i}
if [ $? -ne 0 ] ; then
  echo error exit
  exit
fi
Xalan -o /data/WWW/mmab/papers/tn${i}/paper.html /data/WWW/mmab/papers/tn${i}/paper.xml /data/WWW/mmab/images/paper.xsl
if [ $? -ne 0 ] ; then
  echo error exit
  exit
fi


errno=$?
if [ $errno -eq 0 ] ; then
  mv /data/WWW/tmp/header.index.html /data/WWW/mmab/papers/mmab.index.html
  echo "contribution $i added" > alpha
  mail -s "New paper uploaded" hendrik.tolman@noaa.gov robert.grumbine@noaa.gov < alpha
else
  echo error $errno in translating to index listing, contact ncep.emc.marineweb@noaa.gov 
fi
