<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.01" indent="yes"/>
<xsl:output encoding="UTF-8"/>
<xsl:output doctype-public="-//W3C//DTD HTML 4.01 transitional//EN"/>


<xsl:template match="biglist">
  <html>
  <head>
    <title>Summary of MMAB Papers</title>
    <link href="/mmab/images/main.css" type="text/css" rel="STYLESHEET"/>
  </head>
  <body>
  <xsl:apply-templates select="document"/>
  <hr/>
  <a href="/">Return to main page</a>
  </body>
  </html>
</xsl:template>

<xsl:template match="document">
  <xsl:apply-templates select="number"/>
  <xsl:apply-templates select="authors"/>
  <xsl:apply-templates select="year"/>
  <a>
    <xsl:attribute name="href"><xsl:value-of select="link"/></xsl:attribute>
    <xsl:apply-templates select="title"/>
  </a>
  <xsl:apply-templates select="additional"/>
  <!-- <xsl:apply-templates select="status"/> -->
  <br/>
</xsl:template>

<xsl:template match="number">
  No. <xsl:apply-templates/>. 
</xsl:template>
<xsl:template match="authors">
  <!-- <xsl:apply-templates match="author"> -->
  <xsl:apply-templates/>
</xsl:template>
<xsl:template match="year">
  <xsl:apply-templates/>:
</xsl:template>
<xsl:template match="author">
  <xsl:apply-templates/>:
</xsl:template>


<xsl:template match="title">
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="additional">
   <xsl:apply-templates/>
</xsl:template>

<!--  Preserved for later, optional, use
<xsl:template match="status">
  Status: <xsl:apply-templates/>
</xsl:template>
-->

</xsl:stylesheet>
